import subprocess
import time
from drive_avhrr import run_one_year

sats = [2, 15, 16, 17, 18, 19]
year_start = 2000
year_end = 2009
user = 'mhiley'

if __name__ == '__main__':
    for year in range(year_start, year_end+1):
        for sat in sats:
            while True:
                try:
                    squeue_lines = subprocess.check_output(
                            '/usr/bin/squeue -u {}'.format(user), shell=True).splitlines()
                except CalledProcessError:
                    print("squeue failed!")
                    continue
                njobs = len(squeue_lines)-1
                if njobs == 0:
                    print("Empty queue, starting job {} {}".format(year, sat))
                    try:
                        run_one_year(year, sat, start_job=True, iris=True)
                    except ValueError:
                        print("Invalid year/sat combo: {} {}".format(year, sat))
                    break
                else:
                    print("N. jobs in queue: {}".format(njobs))
                    time.sleep(300)  # time in [s]


