import multiprocessing
from drive_avhrr import run_one_year, make_one_iff
import sys

N_WORKERS = 64

def call_make_one_iff(make_one_iff_dict):
    """Wrapper function to call make_one_iff with a dict of params."""
    d = make_one_iff_dict
    make_one_iff(d['time'], d['satid'], d['hirs_dir'], d['avhrr_dir'], iris=True)

if __name__ == "__main__":
    """Run one year using N_WORKERS workers."""
    print("XXX this script won't work on iris until we find sbatch equivalent of qsub -sync")
    exit()

    try:
        satid = int(sys.argv[1])
    except:
        print('Usage:\n     python {} sat_id_integer'.format(sys.argv[0]))
        exit()

    if satid not in [2, 14, 15, 16, 17, 18, 19]:
        raise ValueError("satid {} not valid for the time range of interest".format(satid))

    for year in range(2000, 2010):
        try:
            (time_set, satid, hirs_dir, avhrr_dir) = run_one_year(year, satid, start_job=False)
        except ValueError:
            # Some sat/year combos don't exist; that's ok
            print('skipping sat %d year %d' % (satid, year))
            continue

        make_one_iff_jobs = []
        for time in time_set:
            make_one_iff_dict = dict()
            make_one_iff_dict['time'] = time
            make_one_iff_dict['satid'] = satid
            make_one_iff_dict['hirs_dir'] = hirs_dir
            make_one_iff_dict['avhrr_dir'] = avhrr_dir
            make_one_iff_jobs.append(make_one_iff_dict)

        pool = multiprocessing.Pool(N_WORKERS)
        pool.map(call_make_one_iff, make_one_iff_jobs)
